dbXML API

## com.dbxml.xml.dtsm
Class TableCompressor

    java.lang.Object
      com.dbxml.xml.dtsm.TableCompressor

public final class TableCompressor
extends java.lang.Object

TableCompressor

Constructor Summary
`TableCompressor(DocumentTable table)`
`TableCompressor(DocumentTable table, int dataSize)`
`TableCompressor(TableBuilder builder)`

Method Summary
`CompressedTable` `buildCompressedTable()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableCompressor

    public TableCompressor(DocumentTable table,
                           int dataSize)

### TableCompressor

    public TableCompressor(DocumentTable table)

### TableCompressor

    public TableCompressor(TableBuilder builder)

Method Detail

### buildCompressedTable

    public CompressedTable buildCompressedTable()
                                         throws DTSMException

  Throws:
    `DTSMException`

dbXML API

Copyright (c) 2004 The dbXML Group